#!/bin/bash
#------------------------------------------------------------------------------
# Copyright (c) 2008-2009 Olaf Jaehrling <eisfair(at)ojaehrling.(dot)de>
#
# Creation:     2008-10-11 by Olaf Jaehrling
# Last Update:  2009-10-17 by Olaf Jaehrling
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License
#------------------------------------------------------------------------------

package='php-syslog-ng'
package_name='php-syslog-ng'
export PATH="/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/bin:/sbin"
. /var/install/include/eislib

mecho -info 'insert php-syslog-ng menu ...'

if [ -d /data/etc/config.d ]
then
    CONFIG=/data/etc/config.d/
else
    CONFIG=/etc/config.d/
fi
DEFAULT=/etc/default.d

if [ ! -f "$CONFIG/$package" ]
then
    ### add menu
    /var/install/bin/add-menu              \
     setup.services.menu                \
     setup.services.$package.menu       \
     $package_name

fi
if [ -f /tmp/php-syslog-ng_configfile ]
 then
  mv /tmp/php-syslog-ng_configfile /usr/local/php-syslog-ng/config.txt
fi
if [ -f /etc/config.d/php-syslog-ng ]
then
    . /etc/config.d/php-syslog-ng
    user=`grep -w DBUSER $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    userpw=`grep -w DBUSERPW $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    dbadmin=`grep -w DBADMIN $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    dbadminpw=`grep -w DBADMINPW $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    defaultlogtable=`grep -w DEFAULTLOGTABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v USETABLE| awk -F"'" '{print $4}'`
    mergelogtable=`grep -w MERGELOGTABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    refreshseconds=`grep -w TAIL_REFRESH_SECONDS $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    logrotate=`grep -w LOGROTATERETENTION $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php  | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    pagetitle=`grep -w PAGETITLE  $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    dbname=`grep -w DBNAME $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    dbhost=`grep -w DBHOST $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    dbport=`grep -w DBPORT $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | awk -F"'" '{print $4}'`
    adminmail=`grep -w ADMINEMAIL $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    siteurl=`grep -w SITEURL $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    admin=`grep -w SITEADMIN $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    sitename=`grep -w SITENAME $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    cemdb==`grep -w CEMDB $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    count_rows=`grep -w COUNT_ROWS $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    usetable=`grep -w USETABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    req_auth=`grep -w REQUIRE_AUTH $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    authtablename=`grep -w AUTHTABLENAME $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    renew_sess=`grep -w RENEW_SESSION_ON_EACH_PAGE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    sess_exp=`grep -w SESSION_EXP_TIME $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    tail_refresh=`grep -w TAIL_REFRESH_SECONDS $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    use_cache=`grep -w USE_CACHE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    action_table=`grep -w ACTION_TABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    user_acc_tab=`grep -w USER_ACCESS_TABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    use_acl=`grep -w USE_ACL $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    search_cache=`grep -w CACHETABLENAME $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    cisco_error=`grep -w CISCO_ERROR_TABLE $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F"'" '{print $4}'`
    debug=`grep -w DEBUG $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -v php | awk -F")" '{print $1}' | awk -F" " '{print $2}'`
    (
    echo '<?php'
    echo "define('PAGETITLE', '"$pagetitle"' );"
    echo "define('VERSION', '2.9.8m');"
    echo "define('COUNT_ROWS', "$count_rows");"
    echo "define('DEFAULTLOGTABLE', '"$defaultlogtable"');"
    echo "define('MERGELOGTABLE', '"$mergelogtable"');"
    echo "define('USETABLE', "$usetable");"
    echo "define('LOGROTATERETENTION', "$logrotate");"
    echo "define('DBUSER', '"$user"');"
    echo "define('DBUSERPW', '"$userpw"');"
    echo "define('DBADMIN', '"$dbadmin"');"
    echo "define('DBADMINPW', '"$dbadminpw"');"
    echo "define('DBNAME', '"$dbname"');"
    echo "define('DBHOST', '"$dbhost"');"
    echo "define('DBPORT', '"$dbport"');"
    echo "define('REQUIRE_AUTH', "$req_auth");"
    echo "define('AUTHTABLENAME', '"$authtablename"');"
    echo "define('RENEW_SESSION_ON_EACH_PAGE', "$renew_sess");"
    echo "define('SESSION_EXP_TIME', '"$sess_exp"');"
    echo "define('TAIL_REFRESH_SECONDS', '"$tail_refresh"');"
    echo "define('USE_ACL', "$use_acl");"
    echo "define('USER_ACCESS_TABLE', '"$user_acc_tab"');"
    echo "define('ACTION_TABLE', '"$action_table"');"
    echo "define('USE_CACHE', "$use_cache");"
    echo "define('CACHETABLENAME', '"$search_cache"');"
    echo "define('SITEADMIN', '"$admin"');"
    echo "define('SITENAME', '"$sitename"');"
    echo "define('ADMINEMAIL', '"$adminmail"');"
    echo "define('CEMDB', '"$cemdb"');"
    echo "define('CISCO_TAG_PARSE', FALSE);"
    echo "define('CISCO_ERROR_TABLE', '"$cisco_error"');"
    echo "define('DEBUG', "$debug");"
    echo "define('SITEURL', '"$siteurl"');"
    )>/tmp/config_php-syslog-ng.php
    if [ -f /tmp/php-syslog-ng_config_teil2 ]
    then
        cat /tmp/php-syslog-ng_config_teil2 >>/tmp/config_php-syslog-ng.php
    fi
    tail -n80 $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | head -n79 >>/tmp/config_php-syslog-ng.php
    (
    echo "//------------------------------------------------------------------------"
    echo "// CDUKES - Added Certificate based authentication"
    echo "// Ref: http://code.google.com/p/php-syslog-ng/wiki/CertificateAuthentication"
    echo "//---------------------------------------------------"
    echo "define('CERTAUTH_ENABLE',FALSE);"
    echo "?>"
    )>>/tmp/config_php-syslog-ng.php

    cat /tmp/config_php-syslog-ng.php >$PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php.dist
    cat /tmp/config_php-syslog-ng.php >/usr/local/php-syslog-ng/html/html/config/config.php.dist
    > /usr/local/php-syslog-ng/html/html/config/config.php
    
    ### temporaer eine Datei erstellen, damit erkannt wird, dass es eine Neuinstallation ist
    touch $PHP_SYSLOG_NG_APACHE_ROOT/temporear
#    rm /tmp/config_php-syslog-ng.php
fi
sh /var/install/config.d/$package-update.sh
/var/install/bin/edit -apply $package "Edit $package_name configuration"
