#!/bin/bash
#------------------------------------------------------------------------------
# Copyright (c) 2008-2010 Olaf Jaehrling <eisfair(at)ojaehrling.(dot)de>
#
# Creation:     2008-10-11 by Olaf Jaehrling
# Last Update:  2010-07-21 by Olaf Jaehrling
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License
#------------------------------------------------------------------------------

package='php-syslog-ng'
package_name='php-syslog-ng'
aktuelle_version='0.1.0'

. /var/install/include/eislib
. /var/install/include/check-eisfair-version
mecho -info 'running preinstall ...'

installed_old_php_syslog=`/var/install/bin/check-version php_syslog_ng 0.0.6`
if [ "$installed_old_php_syslog" = "new" ]
then
    mecho -info "Please Note. All your old logfiles will be remove."
    mecho -info "Please see http://ojaehrling.de/php-syslog-ng"
    mecho -info "before you update!!"
    if /var/install/bin/ask "Are you sure?" "yes"
    then
        ### -------------------------------------------------------------------------
        /var/install/bin/del-menu         \
        setup.services.menu               \
        setup.services.php_syslog_ng.menu 
        ### -------------------------------------------------------------------------
        ### -------------------------------------------------------------------------
        /var/install/bin/add-menu         \
        setup.services.menu               \
        setup.services.php-syslog-ng.menu \
        php-syslog-ng
        mv /etc/config.d/php_syslog_ng /etc/config.d/php-syslog-ng
        rm -rf /usr/local/php_syslog_ng
        rm -f /etc/backup.d/php_syslog_ng
        rm -f /etc/check.d/php_syslog_ng
        rm -f /etc/check.d/php_syslog_ng.exp
        rm -f /etc/default.d/php_syslog_ng
        rm -f /etc/filelist.d/php_syslog_ng-files.txt
        rm -rf /usr/share/doc/php_syslog_ng
        rm -f /var/install/bin/php_syslog_ng-edit
        rm -f /var/install/bin/setup.services.php_syslog_ng
        rm -f /var/install/config.d/php_syslog_ng-update.sh
        rm -f /var/install/config.d/php_syslog_ng.sh
        rm -f /var/install/deinstall/php_syslog_ng
        rm -f /var/install/help/php_syslog_ng
        rm -f /var/install/menu/setup.services.php_syslog_ng.menu
        rm -f /var/install/packages/php_syslog_ng
        touch /tmp/old_php_syslog_ng_available
        ### -------------------------------------------------------------------------
    else
        exit 1
    fi
fi
installed_syslog_ng=`/var/install/bin/check-version syslog_ng 0.0.7`
if [ "$installed_syslog_ng" = "new" ]
then 
    mecho -info "please remeber. You must update syslog_ng up to version 0.0.7"
    mecho -info "if you at the moment update syslog_ng to version 0.0.7 then Enter here 'no'!!!"
    if /var/install/bin/ask "stop this installation for update syslog_ng" "yes"
    then
        exit 0
    fi
fi


if [ "$EISFAIR_SYSTEM" = "eisfair-1" ]
then
    if [ ! -f /var/install/packages/syslog-ng ]
    then
        mecho -info "packages syslog-ng is required"
        /var/install/bin/check-package -p syslog-ng -v 0.1.2 "syslog-ng"
        #/var/install/bin/install-package -i http://ojaehrling.de/eis/syslog-ng.tar.bz2.info
    fi
    if [ -f /var/cron/etc/root/php_syslog_ng ]
    then
        if [ -f /usr/local/php_syslog_ng/config.txt ]
        then
            cp /usr/local/php_syslog_ng/config.txt /tmp/php_syslog_ng_configfile
        fi
        rm -f /var/cron/etc/root/php_syslog_ng
        sh /var/install/config.d/cron >/dev/null 2>&1
        sh /etc/init.d/cron reload >/dev/null 2>&1
    fi
elif [ "$EISFAIR_SYSTEM" = "eisfair-2" ]
then
    if [ -f /etc/cron.d/php_syslog_ng ]
    then
        rm -f /etc/cron.d/php_syslog_ng
        sh /etc/init.d/cron reload >/dev/null 2>&1
        if [ -f /etc/syslog-ng/syslog-ng-log.php-sylog-ng ]
        then
            rm /etc/syslog-ng/syslog-ng-log.php-sylog-ng
            var/install/bin/update-syslogfiles >/dev/null
            /etc/init.d/syslog-ng restart >/dev/null
        fi
    fi
fi

if [ -f /etc/config.d/$package ]
then
    installed_php_syslog_ng=`/var/install/bin/check-version $package 0.0.6`
    if [ "$installed_php_syslog_ng" = "installed" -o "$installed_php_syslog_ng" = "old" ]
    then
        if [ "$installed_old_php_syslog" != "new" ]
        then
            #nur ein darueber
            touch /tmp/php-syslog-vorhanden
        fi
    fi
fi
    
