#!/bin/sh
#--------------------------------------------------------------------------
# /var/install/config.d/php-syslog-ng-update.sh - parameter update script
#
# Creation:     2008-10-10 OJae
# Last Update:  2009-10-16 OJae
#
# Copyright (c) 2008 Olaf Jaehrling  linux(at)ojaehrling(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License
#--------------------------------------------------------------------------
package='php-syslog-ng'
package_name='php-syslog-ng'

# include eislib
. /var/install/include/eislib
. /var/install/include/configlib

mecho -info "adding new parameter(s) ..."
### ---------------------------------------------------------------------------
### Set the default values for configuration
### ---------------------------------------------------------------------------

START_PHP_SYSLOG_NG='yes'                        # start brute_force_blocking yes/no

#------------------------------------------------------------------------------
#PHP_SYSLOG_NG_APACHE_ROOT='/var/www/htdocs/php-syslog_ng'               # root from Apache webservers
PHP_SYSLOG_NG_ROTATE='2 3 * * 7'					# crontab for rotate syslogs in mysql

# read Apache2 variables
. /etc/config.d/apache2
PHP_SYSLOG_NG_APACHE_ROOT=$(echo $APACHE2_DOCUMENT_ROOT)/php-syslog_ng


### ---------------------------------------------------------------------------
### read old configuration and rename old variables
### ---------------------------------------------------------------------------
rename_old_variables()
{
    # read old values
    if [ -f /etc/config.d/${package_name} ]
    then
        . /etc/config.d/${package_name}
    fi
}


#------------------------------------------------------------------------
# modify variables
#------------------------------------------------------------------------
mecho -info "modifying parameter(s) ..."
        mecho -warn "... read documentation for modified and/or added parameter(s)!"
        mecho -warn " please check the configfile and remove obsolete space character"

modify_variables ()
{
echo "nothing to do"
}
### ---------------------------------------------------------------------------
### Write config and default files
### ---------------------------------------------------------------------------
make_config_file()
{
    internal_conf_file=${1}
    (
    #--------------------------------------------------------------------------------
    printgpl -conf ${package_name} "2008-10-10" "OJae" "2007 Olaf Jaehrling  linux(at)ojaehrling(dot)de"
    #--------------------------------------------------------------------------------
    #--------------------------------------------------------------------------------
    printgroup "php-syslog-ng configuration"
    #--------------------------------------------------------------------------------

    printvar "START_PHP_SYSLOG_NG"        	   "start syslog_ng yes/no"
    printvar "PHP_SYSLOG_NG_APACHE_ROOT"       	   "root from Apache webservers"
    printvar "PHP_SYSLOG_NG_ROTATE"		   "crontab for rotate syslogs in mysql"

    #--------------------------------------------------------------------------------
    printend
    #--------------------------------------------------------------------------------

    ) > ${internal_conf_file}
    # Set rights
    chmod 0600 ${internal_conf_file}
    chown root ${internal_conf_file}
}

### -------------------------------------------------------------------------
### Create the check.d file
### -------------------------------------------------------------------------

make_check_file()
{
#--------------------------------------------------------------------------------
printgpl -check ${package_name} "2008-10-10" "OJae" "2007 Olaf Jaehrling <linux[at]ojaehrling[dot]de>" >/etc/check.d/${package_name}
#--------------------------------------------------------------------------------
cat >>/etc/check.d/${package_name} <<EOF
# Variable				OPT_VARIABLE    VARIABLE_N   VALUE
START_PHP_SYSLOG_NG         	   	  -            		-       YESNO
PHP_SYSLOG_NG_APACHE_ROOT   		START_PHP_SYSLOG_NG     -       ABS_PATH
PHP_SYSLOG_NG_ROTATE			START_PHP_SYSLOG_NG	-	CRONTAB



EOF

    # Set rights for check.d file
    chmod 0600 /etc/check.d/${package_name}
    chown root /etc/check.d/${package_name}
}
## -------------------------------------------------------------------------
### Create the exp file
### -------------------------------------------------------------------------
make_exp_file()
{
#--------------------------------------------------------------------------------
printgpl -check_exp ${package_name} "2008-10-10" "OJae" "2007 Olaf Jaehrling <linux[at]ojaehrling[dot]de>" >/etc/check.d/${package_name}.exp
#--------------------------------------------------------------------------------
cat >>/etc/check.d/${package_name}.exp <<EOF


EOF

    # Set rights for exp file
    chmod 0600 /etc/check.d/${package_name}.exp
    chown root /etc/check.d/${package_name}.exp
}
### -------------------------------------------------------------------------
### Create the ext file
### -------------------------------------------------------------------------

#make_ext_file()
#{
#--------------------------------------------------------------------------------
#printgpl -check_ext ${package_name} "2007-10-10" "OJae" "2007 Olaf Jaehrling <linux[at]ojaehrling[dot]de>" >/etc/check.d/${package_name}.ext
#--------------------------------------------------------------------------------
#cat >>/etc/check.d/${package_name}.ext <<EOF
#
#
#
#EOF
#
#    # Set rights for exp file
#    chmod 0600 /etc/check.d/${package_name}.ext
#    chown root /etc/check.d/${package_name}.ext
#}



### ---------------------------------------------------------------------------
### Main
### ---------------------------------------------------------------------------

# write default config file
make_config_file /etc/default.d/${package_name}

# update from old version
rename_old_variables

# write new config file
make_config_file /etc/config.d/${package_name}

# write check.d file
make_check_file

# write *.exp file
make_exp_file

# write *.ext file
#make_ext_file

anykey
exit 0

### ---------------------------------------------------------------------------
### End
###----------------------------------------------------------------------------
