#!/bin/bash
#----------------------------------------------------------------------------
# php-syslog-ng edit /etc/config.d/php-syslog-ng 
#
# Copyright (c) 2008-2010 Olaf Jaehrling <eisfair@ojaehrling.de>
#
# Creation:     10.10.2008 OJae
# Last Update:  27.07.2010 OJae
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License
#----------------------------------------------------------------------------
. /var/install/include/eislib
. /var/install/include/check-eisfair-version
clrhome
. /etc/config.d/php-syslog-ng

datum=`date +%Y.%m.%d.%X`
if [ -f /etc/syslog-ng/syslog-ng.conf ]
then
    cp /etc/syslog-ng/syslog-ng.conf '/etc/syslog-ng/sylog-ng_'$datum'.conf'
fi

if [ "$START_PHP_SYSLOG_NG" = "yes" ]
then
    _reinstall ()
    {
        echo "ok, nothing to do"
        sed -i "s*^define('SITEURL', '/');*define('SITEURL', '');*" $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php
        cp $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php /usr/local/php-syslog-ng/html/html/config/config.php
        rm -f /tmp/php-syslog-vorhanden
        rm -f /tmp/old_php_syslog_ng_available
        rm -f /tmp/php_syslog-ng*
        rm -f /tmp/config_php-syslog-ng.php
        rm -f /tmp/php_syslog_ng*
        exit 0
    }

    cp /etc/config.d/php-syslog-ng /etc/backup.d/php-syslog-ng
    sed -i "s/PHP_SYSLOG_NG_APACHE_ROOT/PHP_SYSLOG_NG_APACHE_OLDROOT/g" /etc/backup.d/php-syslog-ng
    . /etc/backup.d/php-syslog-ng
    OLDPATH=$PHP_SYSLOG_NG_APACHE_OLDROOT
    NEWPATH=$PHP_SYSLOG_NG_APACHE_ROOT

    if [ "$OLDPATH" != "$NEWPATH" ]
    then
        echo
        mecho -info "copy all Files from $OLDPATH to $NEWPATH"
        cp -ar $OLDPATH/* $NEWPATH
        mecho -info "done"
        mecho -info "remove old directory $OLDPATH"
        rm -r $OLDPATH
        mecho -info "done"
    fi

    if [ ! -f $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php ]
    then
        mkdir -p $PHP_SYSLOG_NG_APACHE_ROOT
        cp -r /usr/local/php-syslog-ng/html/* $PHP_SYSLOG_NG_APACHE_ROOT
        chmod 777 -R $PHP_SYSLOG_NG_APACHE_ROOT/html/config/ 
        chmod 777 -R $PHP_SYSLOG_NG_APACHE_ROOT/html/jpcache/
        chmod 777 $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php
        chmod 777 $PHP_SYSLOG_NG_APACHE_ROOT/html/graph.jpeg
        mecho -info "You must configure the PHP istallation inside the SETUP menu"
        mecho -info "setup -> 4. Service administration -> Apache2 Webserver ->"
        mecho -info "Configuration -> Module configuration -> php5 ->"
        mecho -info "PHP5_SAFE_MODE='no'"
        mecho -info "PHP5_MAX_POST_SIZE='8M'"
        mecho -info "PHP5_MEMORY_LIMIT='16M'"
        mecho -info "PHP5_EXT_MYSQL='yes'"
        mecho -info "and setup -> 4.Service administration -> Apache2 Webserver ->"
        mecho -info "2. Configuration -> APACHE2_DIRECTORY_INDEX='...index.php'"
        mecho -info "please read dokumantation"
        echo
        mecho -info "You must first install php-syslog-ng via your webinterface"
        mecho -info "please open in your Webbrowser http://EISFAIR_SERVER/php-syslog_ng/html/install"
        mecho -info "and configure your php-syslog-ng."
        mecho -info "please note follow in the 'step 1' window !!"
        mecho -info "Deselect 'Backup Old Tables' and 'Install Sample Data'"
        mecho -info "and selcet 'Drop Existing Table' and 'Install CEMDB Database'"
        echo
        echo
        mecho -info "After this installation, press ENTER"
        anykey
        if /var/install/bin/ask "Are you sure the installation on the webinterface is done?""" "N|n||No" "y|Yes"
        then
            echo ok
        fi
    fi
    if [ -f /tmp/php-syslog-vorhanden ]
    then
        #nur eine reinstallation oder update von 0.0.6 auf 0.0.7
        #alle Daten bleiben erhalten, ausser der User sagt no
        if /var/install/bin/ask "Do you reinstall all files? All your old data will be lost!!" "" "N|n||No" "y|Yes"
        then
            _reinstall
        fi
    fi
    if [ -f /tmp/old_php_syslog_ng_available ]
    then
        ADMINPW=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBADMINPW | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
        ADMINNAME=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBADMIN | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
        USERPW=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBUSERPW | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
        USERNAME=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBUSER | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})

        mecho -info "You must reinstall php-syslog-ng via your webinterface"
        mecho -info "please open in your Webbrowser http://EISFAIR_SERVER/php-syslog_ng/html/install"
        mecho -info "and configure your php-syslog-ng."
        mecho -info "Please selcet 'Backup Old Tables', 'Drop Existing Table' and 'Install CEMDB Database'"
        mecho -info "on step 3 on your webbrowser configuration."
        mecho -info "If you have understand this please press enter and complete this update"
        mecho -info "Remember! After end of configuration in the web browser you must delete"
        mecho -info "the '/' in /your/apache/documentroot/php-syslog-ng/html/config/config.php"
        mecho -info "define('SITEURL', '/');"
        mecho -info "For your information. Your sysloguser is: "$USERNAME"/"$USERPW
        mecho -info "Your syslogadmin is: "$ADMINNAME"/"$ADMINPW
        
        anykey
    fi
    ADMINPASSWORD=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBADMINPW | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
    ADMINNAME=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBADMIN | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
    DATABASE=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBNAME | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})
    DBHOST=$(cat $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php | grep -w DBHOST | awk -F"'" {'print $4'}| awk -F"'" {'print $1'})

    (
    echo '########################## start of php-syslog-ng config ##################################'
    echo '###########################################################################################'
    echo ''
    echo 'destination d_mysql {'
    echo '    program("/usr/bin/mysql -u'$ADMINNAME' -p'$ADMINPASSWORD' '$DATABASE' -h '$DBHOST'"'
    echo '    template("INSERT INTO logs (host, facility, priority, level, tag, datetime, program, msg)'
    echo "    VALUES ( '\$HOST', '\$FACILITY', '\$PRIORITY', '\$LEVEL', '\$TAG', '\$YEAR-\$MONTH-\$DAY \$HOUR:\$MIN:\$SEC', '\$PROGRAM', '\$MSG' );\n""\")"
    echo '    template-escape(yes));'
    echo '    };'
    echo ''
    if [ "$EISFAIR_SYSTEM" = "eisfair-1" ]
    then
        echo 'log {'
        echo '    source(s_all);'
        echo '    destination(d_mysql);'
        echo '    };'
    elif [ "$EISFAIR_SYSTEM" = "eisfair-2" ]
    then
        echo 'log {'
        echo '    source(s_all);'
        echo '    destination(d_mysql);'
        echo '    };'
    fi
    echo ''
    echo ''
    echo '########################## end of php-syslog-ng config ####################################'
    echo '###########################################################################################'
    echo ''
    )>/usr/local/php-syslog-ng/config.txt
  
    if [ "$EISFAIR_SYSTEM" = "eisfair-1" ]
    then
        mecho -info "adding php-syslog-ng_config to /etc/syslog-ng/syslog-ng.conf"
        sh /var/install/config.d/syslog-ng.sh >/dev/null
        /etc/init.d/syslog-ng restart >/dev/null
    elif [ "$EISFAIR_SYSTEM" = "eisfair-2" ]
    then
        mecho -info "adding php-syslog-ng_config to /etc/syslog-ng/syslog-ng.conf"
        cp /usr/local/php-syslog-ng/config.txt /etc/syslog-ng/syslog-ng-log.php-sylog-ng
        /var/install/bin/update-syslogfiles >/dev/null
        /etc/init.d/syslog-ng restart >/dev/null
    fi

    sleep 2
    logger -t PHP-Syslog-NG -is "PHP-Syslog-NG is started"

    cat /usr/local/php-syslog-ng/logrotate_header >/usr/local/php-syslog-ng/logrotate.php
    (
    echo 'include_once "'$PHP_SYSLOG_NG_APACHE_ROOT'/html/includes/common_funcs.php";'
    echo 'include_once "'$PHP_SYSLOG_NG_APACHE_ROOT'/html/config/config.php";'
    )>> /usr/local/php-syslog-ng/logrotate.php
    cat /usr/local/php-syslog-ng/logrotate_foot >>/usr/local/php-syslog-ng/logrotate.php
    chmod +x  /usr/local/php-syslog-ng/logrotate.php

    cat /usr/local/php-syslog-ng/reloadcache_header >/usr/local/php-syslog-ng/reloadcache.php
    (
    echo 'require_once "'$PHP_SYSLOG_NG_APACHE_ROOT'/html/includes/common_funcs.php";'
    echo 'require_once "'$PHP_SYSLOG_NG_APACHE_ROOT'/html/config/config.php";'
    )>> /usr/local/php-syslog-ng/reloadcache.php
    cat /usr/local/php-syslog-ng/reloadcache_foot >>/usr/local/php-syslog-ng/reloadcache.php
    chmod +x /usr/local/php-syslog-ng/reloadcache.php
    cp /usr/local/php-syslog-ng/reloadcache.php $PHP_SYSLOG_NG_APACHE_ROOT/scripts/reloadcache.php
    cp /usr/local/php-syslog-ng/logrotate.php $PHP_SYSLOG_NG_APACHE_ROOT/scripts/logrotate.php

    clrhome
    mkdir -p /usr/local/php-syslog-ng/leer
    cd /usr/local/php-syslog-ng/leer
    eval cron='$PHP_SYSLOG_NG_ROTATE'
    if [ "$EISFAIR_SYSTEM" = "eisfair-1" ]
    then
        (
        echo $cron"     /usr/bin/php /usr/local/php-syslog-ng/logrotate.php >/dev/null 2>&1" 
        echo "!nolog(true)"
        echo "*/5 * * * * /usr/bin/php /usr/local/php-syslog-ng/reloadcache.php >/dev/null 2>&1"
        echo "!nolog(false)"
        )>/var/cron/etc/root/php-syslog-ng
        sh /var/install/config.d/cron >/dev/null 2>&1
        chown -R wwwrun:nogroup $PHP_SYSLOG_NG_APACHE_ROOT
    elif [ "$EISFAIR_SYSTEM" = "eisfair-2" ]
    then
        (
        echo $cron"    root /usr/bin/php /usr/local/php-syslog-ng/logrotate.php >/dev/null 2>&1"
        echo "*/5 * * * * root /usr/bin/php /usr/local/php-syslog-ng/reloadcache.php >/dev/null 2>&1"
        )>/etc/cron/root/php-syslog-ng
        chown -R www-data:www-data $PHP_SYSLOG_NG_APACHE_ROOT
    fi
    sh /etc/init.d/cron reload >/dev/null 2>&1
    if [ -d $PHP_SYSLOG_NG_APACHE_ROOT/html/install ]
    then
        rm -r $PHP_SYSLOG_NG_APACHE_ROOT/html/install
    fi

    if [ -d $PHP_SYSLOG_NG_APACHE_ROOT ]
    then
        cp $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php /usr/local/php-syslog-ng/html/html/config/config.php.dist
        if [ -f $PHP_SYSLOG_NG_APACHE_ROOT/temporear ]
        then
            if [ ! -f /tmp/old_php_syslog_ng_available ]
            then
                rm /usr/local/php-syslog-ng/html/html/config/config.php
                mecho -info "You must update your php-syslog-ng via your webinterface"
                mecho -info "please open in your Webbrowser http://EISFAIR_SERVER/php-syslog_ng"
                mecho -info "and configure your php-syslog-ng."
                mecho -info "please note follow in the 'step 1' window !!"
                mecho -info "Deselect 'Backup Old Tables' and 'Install Sample Data'"
                mecho -info "and selcet 'Drop Existing Table' and 'Install CEMDB Database'"
                mecho -info "as old logfile insert no the word old!!"
                mecho -info "if you have understand then press ENTER"
                > /usr/local/php-syslog-ng/html/html/config/config.php
                anykey
            fi
            cp -r /usr/local/php-syslog-ng/html/* $PHP_SYSLOG_NG_APACHE_ROOT/
            rm -f $PHP_SYSLOG_NG_APACHE_ROOT/temporear
            rm -f /tmp/old_php_syslog_ng_available
            sed -i "s*^define('SITEURL', '/');*define('SITEURL', '');*" $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php
            cp $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php /usr/local/php-syslog-ng/html/html/config/config.php

        fi
    fi
#    if [ -f $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php.dist ]
#    then
#        rm $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php.dist
#    fi
    chmod 777 -R $PHP_SYSLOG_NG_APACHE_ROOT/html/config/
    chmod 777 -R $PHP_SYSLOG_NG_APACHE_ROOT/html/jpcache/
    chmod 777 $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php
    chmod 777 $PHP_SYSLOG_NG_APACHE_ROOT/html/graph.jpeg
    
    ### automatisch den / entfernen, wenn keine Adresse eingetragen wurde
    sed -i "s*^define('SITEURL', '/');*define('SITEURL', '');*" $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php
    cp $PHP_SYSLOG_NG_APACHE_ROOT/html/config/config.php /usr/local/php-syslog-ng/html/html/config/config.php
    rm -f /tmp/php-syslog-vorhanden
    rm -f /tmp/old_php_syslog_ng_available
    rm -f /tmp/php_syslog-ng*
    rm -f /tmp/config_php-syslog-ng.php
    rm -f /tmp/php_syslog_ng*

else
    if [ -f /var/install/config.d/syslog-ng.sh ]
    then
        sh /var/install/config.d/syslog-ng.sh start >/dev/null
        /etc/init.d/syslog-ng restart #>/dev/null
    fi
    if [ -f /var/cron/etc/root/php-syslog-ng ]
    then
        rm -f /var/cron/etc/root/php-syslog-ng
        sh /var/install/config.d/cron >/dev/null 2>&1
        sh /etc/init.d/cron reload >/dev/null 2>&1
    fi
    if [ -f /etc/cron/root/php-syslog-ng ]
    then
        rm -f /etc/cron/root/php-syslog-ng
        sh /etc/init.d/cron reload >/dev/null 2>&1
    fi
fi
/bin/rm -rf /usr/local/php-syslog-ng/leer
